Bug 160667 - [patch] audio/xmmix: fix WARNING pid 4826 (xmmix): ioctl sign-extension ioctl ffffffffc0044d04
Summary: [patch] audio/xmmix: fix WARNING pid 4826 (xmmix): ioctl sign-extension ioctl...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-11 21:50 UTC by etteldor
Modified: 2012-01-07 05:40 UTC (History)
0 users

See Also:


Attachments
file.diff (326 bytes, patch)
2011-09-11 21:50 UTC, etteldor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description etteldor 2011-09-11 21:50:08 UTC
xmmix not 64-bit clean, causing the following WARNING when changing the volume levels:


Sep 11 22:30:45 kadath kernel: WARNING pid 4826 (xmmix): ioctl sign-extension ioctl ffffffffc0044d04
Sep 11 22:30:46 kadath last message repeated 88 times

Fix: # diff -u mixer.c.orig mixer.c
How-To-Repeat: compile xmmix from ports on a 64-bit platform, run it, change the volume and observe dmesg or /var/log/messages
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2011-10-15 22:27:07 UTC
State Changed
From-To: open->feedback

why can't this be committed upstream?
Comment 2 Michael Scheidell freebsd_committer 2011-12-03 22:39:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

'll take it (looks like a 32/64bit issue, sometimes upstream is slow)
Comment 3 Michael Scheidell freebsd_committer 2011-12-03 22:41:48 UTC
Class Changed
From-To: maintainer-update->update

submitter is not maintainer. 
this is not a maintainer-update. 
back to pool. 



Comment 4 Michael Scheidell freebsd_committer 2011-12-03 22:41:48 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 18:11:21 UTC
State Changed
From-To: feedback->open

fine, I'll commit (maintainer timeout) 


Comment 6 Eitan Adler freebsd_committer freebsd_triage 2011-12-25 18:11:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

fine, I'll commit (maintainer timeout)
Comment 7 dfilter service freebsd_committer 2012-01-07 05:33:14 UTC
eadler      2012-01-07 05:33:05 UTC

  FreeBSD ports repository

  Added files:
    audio/xmmix/files    patch-Imakefile patch-XMmix.ad 
                         patch-main.c patch-mixer.c 
  Removed files:
    audio/xmmix/files    patch-ab patch-ac patch-ae 
  Log:
  - Fix build with clang (void main - really?)
  - Fix functioning on 64 bit systems
  
  PR:             ports/160667
  Submitted by:   Martin Etteldorf <etteldor@gmail.com>
  
  Revision  Changes    Path
  1.1       +11 -0     ports/audio/xmmix/files/patch-Imakefile (new)
  1.1       +11 -0     ports/audio/xmmix/files/patch-XMmix.ad (new)
  1.3       +0 -11     ports/audio/xmmix/files/patch-ab (dead)
  1.2       +0 -11     ports/audio/xmmix/files/patch-ac (dead)
  1.2       +0 -19     ports/audio/xmmix/files/patch-ae (dead)
  1.1       +28 -0     ports/audio/xmmix/files/patch-main.c (new)
  1.1       +11 -0     ports/audio/xmmix/files/patch-mixer.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Eitan Adler freebsd_committer freebsd_triage 2012-01-07 05:35:07 UTC
State Changed
From-To: open->closed

Committed. Thanks!